:host {
	display: grid;
	grid-template-areas:
		'company'
		'recipient'
		'positions'
		'summary'
		'notes'
		'terms';
	grid-template-columns: 1fr;
	grid-auto-rows: max-content;
	gap: 32px;
	margin: var(--space);

	padding: 50px;
	border: 2px solid lightgray;
	border-radius: 4px;

	.address {
		grid-area: address;
	}

	.company {
		grid-area: company;

		display: grid;
		grid-template-areas: 'logo data';
		justify-content: space-between;

		.logo {
			grid-area: logo;
		}

		.data {
			grid-area: data;
		}
	}

	.recipient {
		grid-area: recipient;

		display: grid;
		grid-template-areas:
			'address date-of-issue invoice-number amount'
			'address due-date space amount';
		grid-template-columns: 1fr 1fr 1fr 1fr;
		grid-auto-rows: min-content;
		column-gap: 16px;
		justify-content: space-between;

		.amount {
			grid-area: amount;

			h3 {
				margin-bottom: 0;
			}
		}

		.date-of-issue {
			grid-area: date-of-issue;
		}

		.invoice-number {
			grid-area: invoice-number;
		}

		.due-date {
			grid-area: due-date;
		}
	}

	.positions {
		grid-area: positions;

		display: grid;
		gap: var(--space);

		mat-table {
			width: 100%;
			background: unset;
		}

		.cdk-drag-animating {
			transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
		}

		.cdk-drop-list-dragging :not(.cdk-drag-placeholder) {
			transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
		}

		.row-placeholder {
			transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
			border: dotted 3px #999;
			border-radius: 4px;
		}

		app-editable *[editable-placeholder] {
			display: grid;
			grid-auto-flow: column;
			align-items: center;
			gap: 8px;

			span.mat-h1 {
				margin-bottom: 0;
			}
		}
	}

	.summary {
		grid-area: summary;

		display: grid;
		justify-content: flex-end;

		div {
			display: grid;
			grid-auto-flow: column;
			column-gap: 64px;
			justify-content: flex-end;

			&:nth-child(4) {
				border-top: 1px solid lightgray;
			}

			&:last-child {
				border-top: 4px double lightgray;
			}
		}
	}

	.notes {
		grid-area: notes;

		display: grid;
	}

	.terms {
		grid-area: terms;

		display: grid;
	}
}

.cdk-drag-preview {
	box-sizing: border-box;
	border-radius: 4px;
	border: none;
	box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2), 0 8px 10px 1px rgba(0, 0, 0, 0.14), 0 3px 14px 2px rgba(0, 0, 0, 0.12);
}

mat-cell.mat-column-description {
	flex-direction: column;
	justify-content: center;
}

.mat-column-actions {
	max-width: 0;
	overflow: visible;
	position: relative;

	button {
		position: absolute;
		right: 0;
		transform: translateX(100%);
	}
}
